Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.chat
Class GameEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.jbrain.qlink.chat.GameEvent

All Implemented Interfaces:
  RoomEvent, java.io.Serializable

public class GameEvent
extends java.util.EventObject
implements RoomEvent

See Also:
  Serialized Form

Field Summary
`static int` | `ACCEPT_INVITE`
`static int` | `ACCEPT_RESTART`
`static int` | `DECLINE_INVITE`
`static int` | `DECLINE_RESTART`
`static int` | `LEAVE_GAME`
`static int` | `READY_TO_START`
`static int` | `REQUEST_LOAD`
`static int` | `REQUEST_RESTART`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GameEvent(java.lang.Object obj, int type, int id, java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`int` | `getSeatID()`
`int` | `getType()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READY_TO_START

    public static final int READY_TO_START

See Also:
  Constant Field Values

### REQUEST_RESTART

    public static final int REQUEST_RESTART

See Also:
  Constant Field Values

### ACCEPT_INVITE

    public static final int ACCEPT_INVITE

See Also:
  Constant Field Values

### ACCEPT_RESTART

    public static final int ACCEPT_RESTART

See Also:
  Constant Field Values

### DECLINE_INVITE

    public static final int DECLINE_INVITE

See Also:
  Constant Field Values

### DECLINE_RESTART

    public static final int DECLINE_RESTART

See Also:
  Constant Field Values

### REQUEST_LOAD

    public static final int REQUEST_LOAD

See Also:
  Constant Field Values

### LEAVE_GAME

    public static final int LEAVE_GAME

See Also:
  Constant Field Values

Constructor Detail

### GameEvent

    public GameEvent(java.lang.Object obj,
                     int type,
                     int id,
                     java.lang.String name)

Method Detail

### getSeatID

    public int getSeatID()

### getName

    public java.lang.String getName()

### getType

    public int getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD